%global pypi_name jeepney
%bcond_with tests
%bcond_with docs

Summary:        Low-level, pure Python DBus protocol wrapper
Name:           python-%{pypi_name}
Version:        0.8.0
Release:        7%{?dist}
License:        MIT
URL:            https://gitlab.com/takluyver/jeepney
Source0:        %pypi_source

BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  make python3-sphinx python3dist(sphinx-rtd-theme)
%endif
%if %{with tests}
BuildRequires:  python3dist(async-timeout) python3dist(pytest) python3dist(pytest-asyncio)
BuildRequires:  python3dist(pytest-trio) python3dist(testpath)
%endif

BuildArch:      noarch

%description
This is a low-level, pure Python DBus protocol client. It has an I/O-free core,
and integration modules for different event loops.


%package -n     python3-%{pypi_name}
Summary:        Low-level, pure Python DBus protocol wrapper

%description -n python3-%{pypi_name}
This is a low-level, pure Python DBus protocol client. It has an I/O-free core,
and integration modules for different event loops.


%prep
%autosetup -n %{pypi_name}-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%if %{with docs}
make -C docs SPHINXBUILD=sphinx-build-3 html
rm -rf docs/_build/html/{.buildinfo,_sources}
%endif

%install
%pyproject_install
%pyproject_save_files %pypi_name

%if %{with tests}
%check
%pytest -v
%endif

%files -n python3-%{pypi_name} -f %pyproject_files
%license LICENSE
%doc README.rst examples/
%if %{with docs}
%doc docs/_build/html/
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Miaojun Dong <zoedong@tencent.com> - 0.8.0-1
- initial build
